Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_user_trades_by_order \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 3466,
  "method": "private/get_user_trades_by_order",
  "params": {
    "order_id": "ETH-584830574"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_user_trades_by_order"

payload = {
    "jsonrpc": "2.0",
    "id": 3466,
    "method": "private/get_user_trades_by_order",
    "params": { "order_id": "ETH-584830574" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 3466,
    method: 'private/get_user_trades_by_order',
    params: {order_id: 'ETH-584830574'}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_user_trades_by_order', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 3466,
  "result": [
    {
      "trade_seq": 1966042,
      "trade_id": "ETH-2696068",
      "timestamp": 1590480712800,
      "tick_direction": 3,
      "state": "filled",
      "reduce_only": false,
      "price": 203.8,
      "post_only": false,
      "order_type": "market",
      "order_id": "ETH-584830574",
      "matching_id": null,
      "mark_price": 203.78,
      "liquidity": "T",
      "instrument_name": "ETH-PERPETUAL",
      "index_price": 203.89,
      "fee_currency": "ETH",
      "fee": 0.00036801,
      "direction": "buy",
      "amount": 100
    }
  ]
}

Query Parameters

order_id
string
required

The order id Unique order identifier

Example:

"ETH-100234"

sorting
enum<string>

Direction of results sorting (default value means no sorting, results will be returned in order in which they left the database)

Available options:
asc,
desc,
default
historical
boolean

Determines whether historical trade and order records should be retrieved.

  • false (default): Returns recent records: orders for 30 min, trades for 24h.
  • true: Fetches historical records, available after a short delay due to indexing. Recent data is not included.

๐Ÿ“– Related Article: Accessing Historical Trades and Orders Using API

subaccount_id
integer

Id of a subaccount

Example:

9

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request